<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <table class="ui compact table" id="resourcehours" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <thead>
        <tr class="title">
          <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FORTNIGHT}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
          <th class="center aligned nowrap" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOLIDAYS}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VACATIONS}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OCCUPATION}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWER}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVER}}"></th>
          <th class="center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
          <th class="center aligned"></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="timesheet : ${timesheets}">
          <td th:text="${timesheet.resource.name}"></td>
          <td class="center aligned" th:text="${timesheet.startingDay.fortnight}"></td>
          <td class="right aligned" th:text="${#aggregates.sum(timesheet.days.![hours])}"></td>
          <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.approvals) ? #aggregates.sum(timesheet.approvals.![total]) : 0}"></td>
          <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.approvals) ? #aggregates.sum(timesheet.approvals.![absences]) : 0}"></td>
          <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.approvals) ? #aggregates.sum(timesheet.approvals.![compensationDays]) : 0}"></td>
          <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.approvals) ? #aggregates.sum(timesheet.approvals.![holidays]) : 0}"></td>
          <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.approvals) ? #aggregates.sum(timesheet.approvals.![vacations]) : 0}"></td>
          <td class="right aligned" th:text="${timesheet.approvalOccupation + '%'}"></td>
          <td class="one wide center aligned">
            <th:block th:if="${timesheet.reviewed and timesheet.reviewedBy != null}">
              <th:block th:replace="common/fragments/elements :: avatar-mini(item = ${timesheet.reviewedBy}, size = 'mini')" />
            </th:block>
            <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.reviewed}"></i>
          </td>
          <td class="one wide center aligned">
            <th:block th:if="${timesheet.approvedBy != null} ">
              <th:block th:replace="common/fragments/elements :: avatar-mini(item = ${timesheet.approvedBy}, size = 'mini')" />
            </th:block>
            <i class="times circle outline icon" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:unless="${timesheet.approved}"></i>
          </td>
          <td class="center aligned" th:text="#{${'timesheet.status.' + timesheet.status.id}}"></td>
          <td class="center aligned">
            <i class="eye outline icon pointer" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="'updatetimesheet(' + ${timesheet.id} + ');'"></i>
          </td>
        </tr>
      </tbody>
    </table>
  </th:block>
</body>
</html>